/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PESSOA                                                   */
/* Tabela : PESSOA                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 27/03/2008 - LEANDRO CORRA GONALVES                                      */
/*                                                                            */
/******************************************************************************/



CREATE OR REPLACE TRIGGER DTULTATU_PESSOA
BEFORE INSERT OR UPDATE OR DELETE
ON PESSOA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPESSOA := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMPESSOA,0) <> NVL(:NEW.NMPESSOA,0)) OR
         (NVL(:OLD.NMCRACHAPESSOA,0) <> NVL(:NEW.NMCRACHAPESSOA,0)) OR
         (NVL(:OLD.NRRGPESSOA,0) <> NVL(:NEW.NRRGPESSOA,0)) OR
         (NVL(:OLD.IDTIPOPESSOA,0) <> NVL(:NEW.IDTIPOPESSOA,0)) OR
         (NVL(:OLD.TXDIGITALPESSOA,0) <> NVL(:NEW.TXDIGITALPESSOA,0)) OR
         (NVL(:OLD.CDEMPRESA,0) <> NVL(:NEW.CDEMPRESA,0)) OR
         (NVL(:OLD.CDFUNC,0) <> NVL(:NEW.CDFUNC,0)) OR
         (NVL(:OLD.CDFILIAL,0) <> NVL(:NEW.CDFILIAL,0)) OR
         (NVL(:OLD.IDACESSOCATRACA,0) <> NVL(:NEW.IDACESSOCATRACA,0)) THEN
         :NEW.DTULTATUPESSOA := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PESSOA', :NEW.CDFILIAL, 'NRPESSOA='||:OLD.NRPESSOA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PESSOA MODIFY DTULTATUPESSOA DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PESSOA','5.01.018'); END;
/



